Subject: [OSPF] Application Specific TE-link attributes -- Modeling reference from TEAS WG

From: Vishnu Pavan Beeram <[email-masked]>
Date: Fri, 31 Mar 2017 13:31:58 -0400

Folks, Hi!

As mentioned in the WG session yesterday, the authors of the TE-Topology
model discussed modeling per-TE-application attributes sometime late last
year. The email from the link below (courtesy - TEAS WG ML archives) talks
about what the design team ended up proposing:
https://mailarchive.ietf.org/arch/msg/teas/6wnqXEkxSyGZxmDQqH6FaTYkDJ4

In the model, we have a set of te-attributes that sits inside the te-link
container – these are the per-te-link attributes that are up for grabs by
any te-application (as deemed fit). We also have a list of te-applications
under each te-link entry, indexed by an application-type (identityref) –
the type could be RSVP-TE or SR-TE or any custom te-application. The
attributes specific to a given te-application are specified explicitly
under the te-application list-entry.

Regards,
-Pavan